Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade to Java8 and Gradle4 #624

Closed
mockitoguy opened this Issue Feb 6, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@mockitoguy
Copy link
Member

mockitoguy commented Feb 6, 2018

How about we upgrade to Java8 and Gradle4?

We can produce Shipkit 2.0 that would have only one incompatible change: Java8 + Gradle4. For uses on lower versions of those, they can use Shipkit 1.0 (compatible feature-wise, public API wise). For users that want latest improvements, they need to be on Java8 + Gradle4. This is the best of both worlds - we still have a working version for old Java and Gradle but we are not blocked using latest features of Java (very needed, see the bug #621)

Thoughts?

@epeee

This comment has been minimized.

Copy link
Member

epeee commented Feb 8, 2018

+1, yep, let's go for Shipkit 2.0 and do the upgrades.

mockitoguy added a commit that referenced this issue Feb 19, 2018

Merge pull request #637 from mockito/ep-java8
Migrate to Java8 and Gradle4 - new major version

Fixes #624
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.